OntModelManager
Date: 2012-05-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.ontologymanagement.ontologymanagementservice.manager
Class OntModelManager

    java.lang.Object
      org.gcube.ontologymanagement.ontologymanagementservice.manager.OntModelManager

    public class OntModelManager

extends java.lang.Object

Field Summary
`static java.lang.String` | `searchFieldsFileName`
`static java.lang.String` | `taxonomyFileName`

Constructor Summary
`OntModelManager()`

Method Summary
`static OntModel` | `createOntModel(java.lang.String resourceID, java.lang.String baseOntologyURI, java.io.InputStream data)`
`static java.lang.String` | `getSearchFields(java.lang.String resourceID)`
`static java.lang.String` | `getTaxonomy(java.lang.String resourceID)`
`static java.util.Map<java.lang.String,java.lang.String>` | `persistSchemaOfOntModel(OntModel model, java.lang.String resourceID, java.lang.String baseOntologyURI)`
`static void` | `persistSearchFields(java.lang.String resourceID, java.lang.String searchFields)`
`static void` | `persistTaxonomy(java.lang.String resourceID, java.lang.String taxonomy)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taxonomyFileName

    public static java.lang.String taxonomyFileName

### searchFieldsFileName

    public static java.lang.String searchFieldsFileName

Constructor Detail

### OntModelManager

    public OntModelManager()

Method Detail

### createOntModel

    public static OntModel createOntModel(java.lang.String resourceID,
                                          java.lang.String baseOntologyURI,
                                          java.io.InputStream data)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### persistSchemaOfOntModel

    public static java.util.Map<java.lang.String,java.lang.String> persistSchemaOfOntModel(OntModel model,
                                                                                           java.lang.String resourceID,
                                                                                           java.lang.String baseOntologyURI)
                                                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTaxonomy

    public static java.lang.String getTaxonomy(java.lang.String resourceID)

### getSearchFields

    public static java.lang.String getSearchFields(java.lang.String resourceID)

### persistSearchFields

    public static void persistSearchFields(java.lang.String resourceID,
                                           java.lang.String searchFields)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### persistTaxonomy

    public static void persistTaxonomy(java.lang.String resourceID,
                                       java.lang.String taxonomy)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD